libwps: WPSPageSpan Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# WPSPageSpan Class Reference

`#include <WPSPageSpan.h>`

List of all members.

## Public Member Functions
| WPSPageSpan ()
| WPSPageSpan (const WPSPageSpan &page, float paragraphMarginLeft, float paragraphMarginRight)
| WPSPageSpan (const WPSPageSpan &page)
virtual | ~WPSPageSpan ()
const bool | getHeaderFooterSuppression (const uint8_t headerFooterType) const
const float | getFormLength () const
const float | getFormWidth () const
const WPSFormOrientation | getFormOrientation () const
const float | getMarginLeft () const
const float | getMarginRight () const
const float | getMarginTop () const
const float | getMarginBottom () const
const int | getPageSpan () const
const std::vector< WPSHeaderFooter > & | getHeaderFooterList () const
void | setHeaderFooter (const WPSHeaderFooterType type, const uint8_t headerFooterType, const WPSHeaderFooterOccurence occurence)
void | setHeadFooterSuppression (const uint8_t headerFooterType, const bool suppress)
void | setFormLength (const float formLength)
void | setFormWidth (const float formWidth)
void | setFormOrientation (const WPSFormOrientation formOrientation)
void | setMarginLeft (const float marginLeft)
void | setMarginRight (const float marginRight)
void | setMarginTop (const float marginTop)
void | setMarginBottom (const float marginBottom)
void | setPageSpan (const int pageSpan)
void | makeConsistent (int startingPageNumber)
## Protected Member Functions
void | _removeHeaderFooter (WPSHeaderFooterType type, WPSHeaderFooterOccurence occurence)
bool | _containsHeaderFooter (WPSHeaderFooterType type, WPSHeaderFooterOccurence occurence)
## Private Attributes
bool | m_isHeaderFooterSuppressed [WPS_NUM_HEADER_FOOTER_TYPES]
float | m_formLength
float | m_formWidth
WPSFormOrientation | m_formOrientation
float | m_marginLeft
float | m_marginRight
float | m_marginTop
float | m_marginBottom
std::vector< WPSHeaderFooter > | m_headerFooterList
int | m_pageSpan

## Constructor & Destructor Documentation

WPSPageSpan::WPSPageSpan | ( |  | ) |

WPSPageSpan::WPSPageSpan | ( | const WPSPageSpan & | page,
|  | float | paragraphMarginLeft,
|  | float | paragraphMarginRight |
| ) |  |  |

WPSPageSpan::WPSPageSpan | ( | const WPSPageSpan & | page | ) |

WPSPageSpan::~WPSPageSpan | ( |  | ) | `[virtual]`

## Member Function Documentation

const bool WPSPageSpan::getHeaderFooterSuppression | ( | const uint8_t | headerFooterType | ) | const`[inline]`

const float WPSPageSpan::getFormLength | ( |  | ) | const`[inline]`

const float WPSPageSpan::getFormWidth | ( |  | ) | const`[inline]`

const WPSFormOrientation WPSPageSpan::getFormOrientation | ( |  | ) | const`[inline]`

const float WPSPageSpan::getMarginLeft | ( |  | ) | const`[inline]`

const float WPSPageSpan::getMarginRight | ( |  | ) | const`[inline]`

const float WPSPageSpan::getMarginTop | ( |  | ) | const`[inline]`

const float WPSPageSpan::getMarginBottom | ( |  | ) | const`[inline]`

const int WPSPageSpan::getPageSpan | ( |  | ) | const`[inline]`

const std::vector<WPSHeaderFooter>& WPSPageSpan::getHeaderFooterList | ( |  | ) | const`[inline]`

void WPSPageSpan::setHeaderFooter | ( | const WPSHeaderFooterType | type,
|  | const uint8_t | headerFooterType,
|  | const WPSHeaderFooterOccurence | occurence |
| ) |  |  |

void WPSPageSpan::setHeadFooterSuppression | ( | const uint8_t | headerFooterType,
|  | const bool | suppress |
| ) |  |  | `[inline]`

void WPSPageSpan::setFormLength | ( | const float | formLength | ) | `[inline]`

void WPSPageSpan::setFormWidth | ( | const float | formWidth | ) | `[inline]`

void WPSPageSpan::setFormOrientation | ( | const WPSFormOrientation | formOrientation | ) | `[inline]`

void WPSPageSpan::setMarginLeft | ( | const float | marginLeft | ) | `[inline]`

void WPSPageSpan::setMarginRight | ( | const float | marginRight | ) | `[inline]`

void WPSPageSpan::setMarginTop | ( | const float | marginTop | ) | `[inline]`

void WPSPageSpan::setMarginBottom | ( | const float | marginBottom | ) | `[inline]`

void WPSPageSpan::setPageSpan | ( | const int | pageSpan | ) | `[inline]`

void WPSPageSpan::makeConsistent | ( | int | startingPageNumber | ) |

void WPSPageSpan::_removeHeaderFooter | ( | WPSHeaderFooterType | type,
|  | WPSHeaderFooterOccurence | occurence |
| ) |  |  | `[protected]`

bool WPSPageSpan::_containsHeaderFooter | ( | WPSHeaderFooterType | type,
|  | WPSHeaderFooterOccurence | occurence |
| ) |  |  | `[protected]`

## Member Data Documentation

bool WPSPageSpan::m_isHeaderFooterSuppressed[WPS_NUM_HEADER_FOOTER_TYPES]`[private]`

float WPSPageSpan::m_formLength`[private]`

float WPSPageSpan::m_formWidth`[private]`

WPSFormOrientation WPSPageSpan::m_formOrientation`[private]`

float WPSPageSpan::m_marginLeft`[private]`

float WPSPageSpan::m_marginRight`[private]`

float WPSPageSpan::m_marginTop`[private]`

float WPSPageSpan::m_marginBottom`[private]`

std::vector<WPSHeaderFooter> WPSPageSpan::m_headerFooterList`[private]`

int WPSPageSpan::m_pageSpan`[private]`

The documentation for this class was generated from the following files:

- WPSPageSpan.h
- WPSPageSpan.cpp